				       
# sprite
# attributes:
class MWPYSprite():
	def __init__(self):
		self.width = 0
		self.height = 0
		self.posx = 0
		self.posy = 0
		self.name = ""
		self.tex_x = 0
		self.tex_y = 0
		self.tex_w = 1
		self.tex_h = 1
		self.anim_offset = 0.0 #animation offset
		self.enable = True
		self.flip_h = False
		self.flip_v = False
		self.anim_inv = False
		self.x_scale_factor = 1
		self.y_scale_factor = 1
		return None

	    
